Bug 1027289 - rubygem-aws-sdk requires nokogiri < 1.6.0
rubygem-aws-sdk requires nokogiri < 1.6.0
Product: Fedora
Classification: Fedora
Component: rubygem-aws-sdk (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-11-06 08:33 EST by Andy Grimm
Modified: 2016-11-07 22:47 EST (History)
3 users (show)

See Also:
Fixed In Version: rubygem-aws-sdk-1.24.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-11 19:27:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Grimm 2013-11-06 08:33:11 EST
Description of problem:

The aws-sdk for ruby no longer works in Fedora 20 because nokogiri has been updated and the ruby spec for aws-sdk explicitly requires a version < 1.6.0.  Either the aws-sdk should be patched to work with the newer dep, or a compatibility package should be built and the dependency should be corrected.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

# ruby -e 'require "aws"'
/usr/share/rubygems/rubygems/dependency.rb:296:in `to_specs': Could not find 'nokogiri' (< 1.6.0) - did find: [nokogiri-1.6.0] (Gem::LoadError)
Comment 1 Fedora Update System 2013-11-07 09:52:24 EST
rubygem-aws-sdk-1.24.0-1.fc20 has been submitted as an update for Fedora 20.
Comment 2 Fedora Update System 2013-11-07 14:07:26 EST
Package rubygem-aws-sdk-1.24.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-aws-sdk-1.24.0-1.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-11-11 19:27:35 EST
rubygem-aws-sdk-1.24.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.